> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Lists scope permissions

# List Scope Permissions

For the complete error reference, see [Error Guide](/articles/error-guide).


## OpenAPI

````yaml get /groups/{guid}/scopes/{scope}/permissions
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /groups/{guid}/scopes/{scope}/permissions:
    get:
      tags:
        - RBAC
      summary: List Scope Permissions
      description: Lists scope permissions
      operationId: list-scope-permissions
      parameters:
        - name: guid
          in: path
          description: The group GUID to update scope permissions for
          required: true
          schema:
            type: string
            example: supergroup
        - name: scope
          in: path
          description: The scope identifier (e.g., admin, moderator, participant)
          required: true
          schema:
            type: string
            example: admin
      responses:
        '200':
          description: Lists scope permissions
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                        title:
                          type: string
                        description:
                          type: string
                        dataType:
                          type: string
                        availableValues:
                          type: array
                          items: {}
                        defaultValue:
                          type: string
                        createdAt:
                          type: integer
                        updatedAt:
                          type: integer
                  meta:
                    type: object
                type: object
              example:
                data:
                  - id: addReaction
                    type: scope
                    title: Allows member to list the members with specified scope
                    description: Allows member to list the members with specified scope
                    dataType: string
                    availableValues:
                      - allow
                      - deny
                    defaultValue: allow
                    createdAt: 1765962204
                    updatedAt: 1765962204
                  - id: sendMessage
                    type: scope
                    title: Allows/Denies sending messages
                    description: Allows/Denies sending messages
                    dataType: string
                    availableValues:
                      - allow
                      - deny
                    defaultValue: allow
                    createdAt: 1765962204
                    updatedAt: 1765962204
                  - id: initiateCall.allowedType
                    type: scope
                    title: Allows members to initiate call with the specified types
                    description: Allows members to initiate call with the specified types
                    dataType: stringArray
                    availableValues:
                      - audio
                      - video
                    createdAt: 1765962204
                    updatedAt: 1765962204
                    defaultValue: []
                meta:
                  pagination:
                    total: 11
                    count: 11
                    per_page: 100
                    current_page: 1
                    total_pages: 1
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````